For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
      • GETReturns all available alerts for autopilots.
      • GETReturns the autopilot with the specified id.
      • GETReturns the autopilot of the project with the specified id.
      • POSTCreates a new autopilot for the project with the specified id.
      • PUTUpdates the autopilot of the project with the specified id.
      • DELDeletes the autopilot of the project with the specified id.
    • Tasks Overview
    • Time Tracking Overview
    • Documents Overview
    • Search Overview
    • Companies Overview
    • Users Overview
    • Files & Images Overview
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
    • Workflows Overview
    • Login & Access Overview
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceAutopilot

Returns the autopilot with the specified id.

GET
https://api.awork.com/api/v1/autopilot/:autopilotId
GET
/api/v1/autopilot/:autopilotId
$curl https://api.awork.com/api/v1/autopilot/autopilotId \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json"
200Retrieved
1{
2 "type": "agile",
3 "enabled": true,
4 "alerts": [
5 {
6 "id": "9f8b7c6d-4e3f-4a2b-9c1d-0e5f6a7b8c9d",
7 "alert": "due_soon",
8 "enabled": true,
9 "channel": "email"
10 },
11 {
12 "id": "2a3b4c5d-6e7f-8a9b-0c1d-2e3f4a5b6c7d",
13 "alert": "overdue",
14 "enabled": false,
15 "channel": "push"
16 }
17 ],
18 "id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
19 "createdOn": "2024-04-10T08:15:30Z",
20 "createdBy": "a12b34c5-d678-90ef-1234-56789abcdef0",
21 "updatedOn": "2024-05-01T12:45:00Z",
22 "updatedBy": "a12b34c5-d678-90ef-1234-56789abcdef0"
23}
Returns the autopilot including its alerts. To get the autopilot data the user needs to be the owner of the project or 'read' permissions of the feature 'project-master-data' globally or in their project role. <Check title="Required Permissions" icon="key">Any authenticated user.</Check>
Was this page helpful?
Previous

Returns the autopilot of the project with the specified id.

Next
Built with

Returns the autopilot including its alerts. To get the autopilot data the user needs to be the owner of the project or ‘read’ permissions of the feature ‘project-master-data’ globally or in their project role.

Required Permissions
Any authenticated user.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

autopilotIdstringRequiredformat: "uuid"
The id of the autopilot.

Response

OK
typestring>=1 character
The type of the autopilot.
enabledboolean
Whether the autopilot is enabled.
alertslist of objects
The alerts of the autopilot.
idstringformat: "uuid"
The id of the autopilot.
createdOnstringformat: "date-time"
The date this object was created.
createdBystringformat: "uuid"
The id of the user who created this object.
updatedOnstringformat: "date-time"
The date this object was last modified.
updatedBystringformat: "uuid"
The id of the user who last modified this object.